typesizes Module Reference

## Functions/Subroutines

logical function | bytesizesok ()

## Variables

integer, parameter | onebyteint = selected_int_kind(2)
integer, parameter | twobyteint = selected_int_kind(4)
integer, parameter | fourbyteint = selected_int_kind(9)
integer, parameter | eightbyteint = selected_int_kind(18)
integer, parameter | fourbytereal = selected_real_kind(P = 6, R = 37)
integer, parameter | eightbytereal = selected_real_kind(P = 13, R = 307)

## Function/Subroutine Documentation

## bytesizesok()

logical function typesizes::bytesizesok | ( |  | ) |

Definition at line 43 of file typeSizes.f90.

## Variable Documentation

## eightbyteint

integer, parameter typesizes::eightbyteint = selected_int_kind(18)

Definition at line 33 of file typeSizes.f90.

## eightbytereal

integer, parameter typesizes::eightbytereal = selected_real_kind(P = 13, R = 307)

Definition at line 38 of file typeSizes.f90.

## fourbyteint

integer, parameter typesizes::fourbyteint = selected_int_kind(9)

Definition at line 33 of file typeSizes.f90.

## fourbytereal

integer, parameter typesizes::fourbytereal = selected_real_kind(P = 6, R = 37)

Definition at line 38 of file typeSizes.f90.

## onebyteint

integer, parameter typesizes::onebyteint = selected_int_kind(2)

Definition at line 33 of file typeSizes.f90.

## twobyteint

integer, parameter typesizes::twobyteint = selected_int_kind(4)

Definition at line 33 of file typeSizes.f90.

Return to the Main Unidata NetCDF page.